@import "src/stylesheets/modules/media-queries";

.reviewTable {
    border: 0.0625rem solid #F2F2F2;
    background: white;
    margin: 0 auto 2rem;
    box-shadow: 0 0.5rem 2rem rgba(0,0,0,0.1);
    border-radius: 0.25rem 0.25rem 0 0;
    padding: 1rem 1rem 0.5rem;
    clear: both;

    @include mobile {
        box-shadow: none;
        padding: 0;
        background: none;
        border: none;
    }

    table {
        margin: 0;
    }

    th {
        span {
            display: inline-block;
            vertical-align: middle;
            max-width: calc(100% - 2rem);
        }

        .contextMenu ul {
            left: auto;
            right: 0;
        }
    }

    td {
        .contextMenu {
            display: none;
            
            @include mobile {
                display: block;
                position: absolute;
                right: 0;
                top: 0.5rem;
            }

            i {
                @include mobile {
                    font-size: 1.25rem;
                }
            }
            
            ul {
                left: auto;
                right: 0;
            }
        }
    }
}
